CAL(1)

BEZEICHNUNG
cal, ncal - Einen Kalender und das Datum von Ostern anzeigen.

ÜBERSICHT
cal [-31jy] [-A Anzahl] [-B Anzahl] [-d jjjj-mm] [ [Monat] Jahr] cal [-31j] [-A Anzahl] [-B Anzahl] [-d jjjj-mm] -m Monat [Jahr] ncal [-C31bhjJpwySM] [-C] [-31jy] [-A Anzahl] [-B Anzahl] [-d jjjj-mm] [ [Monat] Jahr] ncal [-C] [-31j] [-A Anzahl] [-B Anzahl] [-d jjjj-mm] -m Monat [Jahr] ncal [-31bhjJpwySM] [-A Anzahl] [-B Anzahl] [-H jjjj-mm-tt] [-d jjjj-mm] [-s Ländercode] [ [Monat] Jahr] ncal [-31bhJeoSM] [-A Anzahl] [-B Anzahl] [-d jjjj-mm] [Jahr]

BESCHREIBUNG
Das Werkzeug cal zeigt einen einfachen Kalender im traditionellen Format an und ncal stellt ein alternatives Layout dafür bereit, weitere Optionen und die Daten der Osterfeiertage. Das neue Format wirkt etwas gedrängt, dadurch passt aber ein Jahr in ein Terminal mit 25 Zeilen und 80 Spalten. Wenn keine Argumente angegeben werden, wird der aktuelle Monat angezeigt.

Folgende Optionen stehen zur Verfügung:

-h  schaltet das Hervorheben des heutigen Tages aus.

-J  zeigt den Julianischen Kalender an. In Kombination mit der Option -o wird das orthodoxe Datum von Ostern entsprechend des Julianischen Kalenders angezeigt.

-e  zeigt das Datum von Ostern an (für westliche Kirchen).

-j  zeigt die Julianischen Tage an (Tage des Jahres werden beginnend mit dem 1. Januar hochgezählt).

-m Monat
    zeigt den angegebenen Monat an. Wenn dieser Monat als Dezimalzahl angegeben ist, wird mit ‘f’ der gleiche Monat des nächsten oder mit ‘p’ der gleiche Monat des vorigen Jahres angezeigt.

-o  zeigt das Datum des orthodoxen Osterfestes an (Griechische und Russische Orthodoxe Kirchen).

-p  gibt die Ländercodes und die Umstellungstage vom Julianischen auf den Gregorianischen Kalender an, wie sie von ncal angenommen werden. Der Ländercode, der von der lokalen Umgebung bestimmt wird, ist mit einem Stern gekennzeichnet.

-s Ländercode
    nimmt das Datum der Umstellung vom julianischen auf den gregorianischen Kalender zu dem Datum an, der dem Ländercode zugeordnet ist. Falls nicht angegeben, versucht ncal das Umstellungsdatum aus der lokalen Umgebung zu raten oder fällt auf den 2. September 1752 zurück. An diesem Datum stellten Großbritannien und seine Kolonien auf den gregorianischen Kalender um.

-w  gibt die Wochennummer unterhalb der Wochenspalte aus.

-y  zeigt den Kalender für ein bestimmtes Jahr an. Diese Option ist impliziert, wenn ein Jahr, aber kein Monat auf der Befehlszeile angegeben ist.

-3  zeigt den vorigen, gegenwärtigen und nächsten Monat an (in bezug auf den heutigen Tag).

-1  zeigt nur den aktuellen Monat an(dies ist die Vorgabe)

-A Anzahl
    Monate, die danach hinzugefügt werden. Die angegebene Anzahl an Monaten wird zu dem Ende der Anzeige hinzugefügt. Dies ist zusätzlich zu jedem durch die Optionen -y, -3 oder -1 ausgewählten Datumsbereich. Beispielsweise zeigt “cal -y -B2 -A2” alles von November des vorherigen Jahres bis Februar des folgenden Jahres. Negative Zahlen sind erlaubt. In diesem Falle wird die angegebene Anzahl an Monaten abgezogen. Beispielsweise zeigt “cal -y -B-6” Juli bis Dezember. Und “cal -A11” zeigt einfach die nächsten 12 Monate.

-B Anzahl
    Monate, die vorher hinzugefügt werden. Die angegebene Anzahl an Monaten wird zu dem Anfang der Anzeige hinzugefügt. Siehe -A für Beispiele.

-C  schaltet vollständig in den cal -Modus um. Um lediglich eine Ausgabe wie von cal zu erhalten, verwenden Sie stattdessen -b.

-N  schaltet in den ncal -Modus um.

-d jjjj-mm
    verwendet jjjj-mm als aktuelles Datum (zum Fehlersuchen der Datumsauswahl).

-H jjjj-mm-tt
    verwendet jjjj-mm-tt als aktuelles Datum (zum Fehlersuchen in der Hervorhebung).

-M  Wochen beginnen montags

-S  Wochen beginnen sonntags

-b  benutzt das alte Format für die Ausgabe von Ncal.

Ein einzelner Parameter gibt das anzuzeigende Jahr (1–9999) an. Beachten Sie, dass das Jahr komplett angegeben werden muss: “cal 89” wird nicht den Kalender für 1989 anzeigen. Zwei Parameter bezeichnen den Monat und das Jahr. Der Monat ist entweder eine Zahl zwischen 1 und 12 oder ein kompletter oder abgekürzter Name, wie er in der aktuellen Locale festgelegt ist. Monat und Jahr nehmen standardmäßig den Wert aus der aktuellen Systemuhr und Zeitzone an (daher wird “cal -m 8” den Kalender für den Monat August des aktuellen Jahres anzeigen).

Nicht alle Optionen können zusammen verwendet werden. Beispielsweise schließen sich die Optionen -y, -3 und -1 gegenseitig aus. Falls inkonsistente Optionen angegeben werden, wird die zuletzt angegebene verwendet.

Ein Jahr beginnt am 1. Januar.

Hervorheben von Daten ist deaktiviert, falls Stdout kein TTY ist.

SIEHE AUCH
calendar (3), strftime (3)

GESCHICHTE
Der Befehl cal erschien in AT&T UNIX. Der Befehl ncal erschien in FreeBSD 2.2.6. Die Ausgabe des Befehls cal soll Bit-für-Bit mit der des ursprünglichen UNIX-Befehls cal sein, da seine Ausgabe von anderen Programmen, wie CGI-Skripten, verarbeitet wird, die weiter funktionieren sollen. Daher wird seine Ausgabe immer 8 Zeilen haben, selbst falls nur 7 Daten enthalten. Diese zusätzliche Leerzeile taucht auch bei dem ursprünglichen Befehl cal auf, zumindestens unter Solaris 8.

AUTOREN
Der Befehl ncal und das Handbuch wurden von Wolfgang Helbig <helbig@FreeBSD.org> geschrieben.

FEHLER
Das Zuordnung der Umstellungsdaten von Julianisch auf Gregorianisch mit Ländercodes ist für viele Länder historisch naiv.

Nicht alle Optionen sind kompatibel und die Verwendung in verschiedener Reihenfolge wird zu verschiedenen Ergebnissen führen.

Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com>, Dr. Tobias Quathamer <toddy@debian.org> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.